Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
Class ClassInfo.ClassInfoSet

    java.lang.Object
      org.codehaus.groovy.util.AbstractConcurrentMapBase
          org.codehaus.groovy.util.AbstractConcurrentMap<K,V>
              org.codehaus.groovy.util.ManagedConcurrentMap<Class,ClassInfo>
                  org.codehaus.groovy.reflection.ClassInfo.ClassInfoSet

Enclosing class:
  ClassInfo

    public static class ClassInfo.ClassInfoSet
    extends ManagedConcurrentMap<Class,ClassInfo>

Nested Class Summary
Modifier and Type | Class and Description
--- | ---

Nested classes/interfaces inherited from class org.codehaus.groovy.util.ManagedConcurrentMap
`ManagedConcurrentMap.Entry<K,V>, ManagedConcurrentMap.EntryWithValue<K,V>`

Field Summary
Modifier and Type | Field and Description
--- | ---

Fields inherited from class org.codehaus.groovy.util.ManagedConcurrentMap
`bundle`

Fields inherited from class org.codehaus.groovy.util.AbstractConcurrentMapBase
`MAXIMUM_CAPACITY, segments`

Constructor Summary
Constructor and Description
`ClassInfo.ClassInfoSet(ReferenceBundle bundle)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`protected org.codehaus.groovy.reflection.ClassInfo.ClassInfoSet.Segment` | `createSegment(Object segmentInfo, int cap)`

Methods inherited from class org.codehaus.groovy.util.AbstractConcurrentMap
`get, getOrPut, put, remove, segmentFor`

Methods inherited from class org.codehaus.groovy.util.AbstractConcurrentMapBase
`fullSize, hash, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassInfo.ClassInfoSet

    public ClassInfo.ClassInfoSet(ReferenceBundle bundle)

Method Detail

### createSegment

    protected org.codehaus.groovy.reflection.ClassInfo.ClassInfoSet.Segment createSegment(Object segmentInfo,
                                                                                          int cap)

  Overrides:
    `createSegment` in class `ManagedConcurrentMap<Class,ClassInfo>`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD